/*
 * This file is part of Static.
 *
 * Copyright (c) 2012-2012 VolumetricPixels <http://volumetricpixels.com>
 * Static is licensed under the VolumetricPixels License Version 1
 */
package com.volumetricpixels.staticrts.server;

import org.spout.api.entity.Player;
import org.spout.api.event.EventHandler;
import org.spout.api.event.Listener;
import org.spout.api.event.Order;
import org.spout.api.event.entity.EntityTeleportEvent;
import org.spout.api.event.player.PlayerInteractEvent;
import org.spout.api.event.player.PlayerInteractEvent.Action;
import org.spout.api.event.player.PlayerJoinEvent;

import com.volumetricpixels.staticrts.component.StaticPlayer;

public class StaticServerListener implements Listener {
    @EventHandler(order = Order.LATEST_IGNORE_CANCELLED)
    public void handleInteractions(PlayerInteractEvent e) {
        if (!e.getPlayer().hasExact(StaticPlayer.class)) {
            return;
        }

        StaticPlayer spc = e.getPlayer().getExact(StaticPlayer.class);
        if (spc.isInGame() == false) {
            return;
        }

        Action a = e.getAction();

        switch (a) {
            case LEFT_CLICK:
                // TODO: Unit/Building selections
            case RIGHT_CLICK:
                // TODO: Actions
            default:
                break;
        }
    }

    @EventHandler(order = Order.LATEST_IGNORE_CANCELLED)
    public void handlePlayerComponent(PlayerJoinEvent e) {
        if (StaticServerConfiguration.STATIC_WORLDS.getStringList().contains(e.getPlayer().getWorld().getName())) {
            e.getPlayer().add(StaticPlayer.class);
        }
    }

    @EventHandler(order = Order.LATEST_IGNORE_CANCELLED)
    public void handleWorldChange(EntityTeleportEvent event) {
        if (event.getEntity() instanceof Player) {
            Player player = (Player) event.getEntity();
            if (StaticServerConfiguration.STATIC_WORLDS.getStringList().contains(event.getTo().getWorld().getName())) {
                if (!player.hasExact(StaticPlayer.class)) {
                    player.add(StaticPlayer.class);
                }
            } else {
                if (player.hasExact(StaticPlayer.class)) {
                    player.detach(StaticPlayer.class);
                }
            }
        }
    }
}
